maven-announce mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Paul Gier <pg...@apache.org>
Subject [ANN] Maven Enforcer 1.1 Released
Date Mon, 14 May 2012 22:47:25 GMT
The Maven team is pleased to announce the release of the Maven Enforcer,
version 1.1

This plugin provides various configurable validation rules for Maven builds.

http://maven.apache.org/enforcer/
http://maven.apache.org/plugins/maven-enforcer-plugin/

You should specify the version in your project's plugin configuration:

<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-enforcer-plugin</artifactId>
  <version>1.1</version>
</plugin>

Release Notes - Maven 2.x Enforcer Plugin - Version 1.1

** Bug
    * [MENFORCER-98] - requirePluginVersions rule is not compatible with
maven 3.0-beta-1
    * [MENFORCER-114] - Typo in Require Plugin Versions Documentation
    * [MENFORCER-125] - requireProperty documentation's example for
property.version uses wrong regex

** Improvement
    * [MENFORCER-118] - DependencyConvergence gets better if it doesn't
fail on snapshots of same baseVersion

** New Feature
    * [MENFORCER-128] - Fail the build if a dependency is overwriten
with an incompatible lower version (patch)

Enjoy,

-The Maven team

Mime
View raw message